Update Virtual Environment by ID
Update Virtual Environment by ID
Authorizations
An API key is a token that a client provides when making API calls. The key can be sent as a request header:
curl 'https://api.tenderly.co/api/v1/account/${TENDERLY_ACCOUNT_SLUG}/project/${TENDERLY_PROJECT_SLUG}/simulate' \
-H 'X-Access-Key: ${TENDERLY_ACCESS_KEY}' \
...
Learn how to generate API access tokens at Tenderly Docs.
Path Parameters
Account slug of the user/organization Virtual Environment belongs to
Project slug of the account
Virtual Environment ID obtained in creation (not the RPC link key)
Body
Update Virtual Environment
Response
Returns the updated container
An object with details about Virtual Environment
ID of the Virtual Environment.
"4010f442-c4d9-407d-aba1-7276e3312998"
Slug of the Virtual Environment (string of dash-separated alphanumerics).
"my-staging-vnet-2"
Display name of Virtual Environment
"Virtual Environment mainnet"
Description for Virtual Environment.
"Virtual Environment for mainnet"
Configuration of Virtual Environment fork
{
"network_id": 1,
"block_number": "0x12c50f0"
}
Configuration
{ "chain_config": { "chain_id": 1 } }
Configuration for sync state
{ "enabled": false }
Configuration for explorer page
{
"enabled": false,
"verification_visibility": "bytecode"
}
Rpc endpoints for Virtual Environment
[
{
"url": "https://virtual.mainnet.rpc.tenderly.co/7b7b53ee-611b-4d06-87ad-8f5606dfdc21",
"name": "Admin RPC"
}
]